petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetBoundary

Add a boundary condition to the model

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetBoundary(DM dm, PetscInt bd, PetscBool *isEssential, const char **name, const char **labelname, PetscInt *field, PetscInt *numcomps, const PetscInt **comps, void (**func)(), PetscInt *numids, const PetscInt **ids, void **ctx)

### Input Parameters

| dm | - The mesh object
| bd | - The BC number

### Output Parameters

| isEssential | - Flag for an essential (Dirichlet) condition, as opposed to a natural (Neumann) condition
| name | - The BC name
| labelname | - The label defining constrained points
| field | - The field to constrain
| numcomps | - The number of constrained field components
| comps | - An array of constrained component numbers
| bcFunc | - A pointwise function giving boundary values
| numids | - The number of DMLabel ids for constrained points
| ids | - An array of ids for constrained points
| ctx | - An optional user context for bcFunc

### Options Database Keys

| -bc_<boundary name> <num> | - Overrides the boundary ids
| -bc_<boundary name>_comp <num> | - Overrides the boundary components

### See Also

DMAddBoundary()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages